Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PolicyPropertyBundleDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.ApplicationObjectDefinition

                        |

                        +--oracle.ifs.beans.PropertyBundleDefinition

                              |

                              +--oracle.ifs.beans.PolicyPropertyBundleDefinition

public class PolicyPropertyBundleDefinition
extends PropertyBundleDefinition

A PolicyPropertyBundleDefinition is used to create a PolicyPropertyBundle.

See Also:
  `PolicyPropertyBundle`

Constructor Summary
`PolicyPropertyBundleDefinition(LibrarySession session)` Constructs a PolicyPropertyBundleDefinition explicitly capturing the session.

Methods inherited from class oracle.ifs.beans.PropertyBundleDefinition
`addPropertyDefinition, addPropertyValue, addPropertyValue, getPropertyDefinitions, resetPropertyDefinitions`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### PolicyPropertyBundleDefinition

    public PolicyPropertyBundleDefinition(LibrarySession session)
                                   throws IfsException

  Constructs a PolicyPropertyBundleDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD